aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-06-27 19:06:08 -0300
committerSilvio Rhatto <rhatto@riseup.net>2012-06-27 19:06:08 -0300
commit4700bbd23d069a53729b9dd1eb7a754be316a123 (patch)
treea1f4f17e4c25e6bdf50b7dfcd2cb463a631023d6
parent28b0d717d26c5878bd0c432fe6cd91a45ea566da (diff)
downloadhydra-4700bbd23d069a53729b9dd1eb7a754be316a123.tar.gz
hydra-4700bbd23d069a53729b9dd1eb7a754be316a123.tar.bz2
Adding backup-restore-sympa and skeletons for other mailing list softwares
-rwxr-xr-xshare/hydractl/backup-restore-firma6
-rwxr-xr-xshare/hydractl/backup-restore-mlmmj6
-rwxr-xr-xshare/hydractl/backup-restore-schleuder6
-rwxr-xr-xshare/hydractl/backup-restore-sympa65
4 files changed, 83 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-firma b/share/hydractl/backup-restore-firma
new file mode 100755
index 0000000..170c4e1
--- /dev/null
+++ b/share/hydractl/backup-restore-firma
@@ -0,0 +1,6 @@
+#!/bin/bash
+#
+# Firma backup restoration.
+#
+# TODO
+
diff --git a/share/hydractl/backup-restore-mlmmj b/share/hydractl/backup-restore-mlmmj
new file mode 100755
index 0000000..977327d
--- /dev/null
+++ b/share/hydractl/backup-restore-mlmmj
@@ -0,0 +1,6 @@
+#!/bin/bash
+#
+# Mlmmj backup restoration.
+#
+# TODO
+
diff --git a/share/hydractl/backup-restore-schleuder b/share/hydractl/backup-restore-schleuder
new file mode 100755
index 0000000..992d3af
--- /dev/null
+++ b/share/hydractl/backup-restore-schleuder
@@ -0,0 +1,6 @@
+#!/bin/bash
+#
+# Schleuder backup restoration.
+#
+# TODO
+
diff --git a/share/hydractl/backup-restore-sympa b/share/hydractl/backup-restore-sympa
new file mode 100755
index 0000000..f6e9b2a
--- /dev/null
+++ b/share/hydractl/backup-restore-sympa
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Lists backup restoration.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters.
+DATE="`date +%Y%m%d`"
+LISTS_DIR="/var/mail/virtual"
+
+# Check restore strategy.
+if [ "$1" == "localhost" ] || [ "$1" == "`facter hostname`" ]; then
+ hydra_backup_environment_local
+else
+ hydra_backup_environment_remote $1 restore
+fi
+
+# Check if folder exist on the backup.
+if [ ! -d "$RESTOREDIR/$LISTS_DIR" ]; then
+ echo "Lists folder does not exist: $RESTOREDIR/$LISTS_DIR"
+ exit 1
+fi
+
+# Set git user.
+if hydra_check_user sympa; then
+ LISTS_USER="sympa"
+else
+ LISTS_USER="root"
+fi
+
+# Set git group.
+if hydra_check_group sympa; then
+ LISTS_GROUP="sympa"
+else
+ LISTS_GROUP="root"
+fi
+
+# TODO: Backup it?
+#hydractl backup-lists
+
+# Restore lists folders from backup.
+#rsync -av $RESTOREDIR/$LISTS_DIR/wwsarchive/ $LISTS_DIR/wwsarchive/
+#rsync -av $RESTOREDIR/$LISTS_DIR/expl/ $LISTS_DIR/expl/
+#rsync -av $RESTOREDIR/$LISTS_DIR/bounce/ $LISTS_DIR/bounce/
+rsync -av --delete $RESTOREDIR/$LISTS_DIR/ $LISTS_DIR/
+
+# Fix permissions.
+chown -R $LISTS_USER.$LISTS_GROUP $LISTS_DIR
+